@use "sass:math";

// змінні
// параметри сітки
// максимальна ширина контейнера
// $container-max-width: 1140px !default;

// кількість колонок
$grid-columns: 12 !default;

// відстань між елементами
$grid-gap: 16px !default;
$grid-gap-side: math.div($grid-gap, 2); // migrate sass 5

// контрольні точки сітки
$grid-breakpoints: (
	xs: 0,
	sm: 576px,
	md: 768px,
	lg: 992px,
	xl: 1200px,
	xxl: 1400px,
) !default;
$maxWidth: 1920;
$maxWidthContainer: 1170;
$fontSizeDefault: 16;
$containerGutter: 15;

// breakpoints
$bp-xl: 1200;
$bp-lg: 992;
$bp-md: 768;
$bp-sm: 576;

// кольори
$white: #fff;
$black: #000;
$fern: #65bc7b;
$alabaster: #f8f8f8;
$lighting-yellow: #fec514;
$lochmara: #0080d5;
$firefly: #09121f;
$nepal: #8a9bbd;
$concrete: #f2f2f2;
$black-squeeze: #e9f0f7;
$salem: #067a46;
$gossip: #e4fabf;
$mercury: #e4e4e4;
$dove-gray: #676767;
$electric-violet: #cd08e7;
$blue-ribbon: #0840e7;
$red-ribbon: #e7081d;
$spring-green: #2efa5e;
$broom: #f9f824;
$torquoise: #31d8bc;
$toolip-tree: #f0b238;

// shadow
$shadow: 0 2px 2px rgba(0, 0, 0, 0.15), 0 1px 5px rgba(0, 0, 0, 0.15);
$shadow-flat: 0 0 12px rgba(152, 162, 179, 0.15), 0 0 4px rgba(152, 162, 179, 0.15), 0 0 2px rgba(152, 162, 179, 0.15);
$shadow-no-hover: -0.25px -0.25px 0 transparent, 0.25px 0.25px transparent;
$shadow-hover: -0.25px -0.25px 0 $salem, 0.25px 0.25px $salem;
